Subject: bug#37421: [PATCH] gnu: node: Disable tests that fail with [email-masked].

From: Ludovic Courtès <[email-masked]>
Date: Mon, 16 Sep 2019 18:09:00 +0200

Hello,

Tobias Geerinckx-Rice via Bug reports for GNU Guix <[email-masked]>
skribis:

> Work around <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37386>.
>
> * gnu/packages/node.scm (node)[arguments]: Disable failing tests.

[...]

> +             ;; FIXME: These tests fail with [email-masked].
> +             (for-each delete-file
> +                       '("test/parallel/test-crypto-binary-default.js"
> +                         "test/parallel/test-crypto-dh.js"))

It may be the best short-term solution.

Could we take a look at what these failures are about to see how bad
that might be?

Thanks,
Ludo’.